<?php
/***********************************************************************************
*  admin_categories.php                        Wagner Database Solutions, Inc.
*    v1.04 - 28 Aug 2004  (c) 2004 Steve Wagner.  All rights reserved.
*            See the PaleoCollaborator License included as license_v1.x.txt
*
*  Description:  Screen to maintain the CATEGORIES table.
* 
*  Notes: 
*    1. The PHP funtion fix()) is in include/header_admin.php.
*    2. The Javascript function populate())is in include/header_admin.php.
*
*  Change Log:
*    v1.0   Initial beta release. (2/22/2004)
*    v1.01  Added select lists for menu_id and show_all_yn. (2/23/2004)
*    v1.02  Added table name in select_list ORDER BY for ORDER BY MENUS.MENU_ID;
*    v1.03  Changed "key" note. (3/4/04)
*    v1.04  Added rtrim() around fields (8/28/04)
*
************************************************************************************/
include_once ("./vdaemon/vdaemon.php");
$header='ADMIN';
include_once ("./include/config.php");
include_once ("./include/header.php");
include_once ("./include/header_admin.php");

?>
<html><body><head>
</head>
<center><b><font class=pch>Categories (Menu Options) Administration</font></b><br><br>
Note: If you add/change images, they must be placed in the PaleoCollaborator images directory.</center><br>

<!-- This form is a fake form to call if user wants to get out of insert/update and get new record. --> 
<form method="POST" name="NoVal" action="admin_categories.php"></form>

<?php

//print "menu: [" .$menu_id. "], category: [" .$category_id. "]  Action: " . $_POST["insert"] . $_POST["gotoinsert"] . $_POST["update"] . $_POST["clear"] . $_POST["delete"] . "---";

if ( isset($_POST['insert']) or isset($_POST['update']) ) {            // ******************INSERT/UPDATE

  if ( isset($_POST['insert']) ) {
    $nbr = -1;
    $nbr2 = -1;
  } elseif ( isset($_POST['update']) ) {
    $nbr = $_POST["hiddenkey"]; # use saved key field in case user updated it.
    $nbr2 = $_POST["hiddenkey2"]; # use saved key field in case user updated it.
  }
  $sql = "SELECT * FROM CATEGORIES WHERE MENU_ID = '" .$nbr. "' AND CATEGORY_ID = '" .$nbr2. "';";  // get record either null or with where clause.
  
  # Select record from database
  $rsx = $db->Execute($sql); # Execute the query for empty record (Insert) or with where (update).
  $record = array(); # Initialize an array

  # Set values for fields in record. Note: field names are case-insensitive.
  $record["Menu_Id"] = stripslashes($_POST["menu_id"]);
  $record["Category_Id"] = stripslashes($_POST["category_id"]);
  $record["Category_Name"] = stripslashes($_POST["category_name"]);
  $record["Option_Level"] = stripslashes($_POST["option_level"]);
  $record["Category_Desc"] = stripslashes($_POST["category_desc"]);
  $record["Category_Image_Loc"] = stripslashes($_POST["category_image_loc"]);
  $record["Show_All_Yn"] = stripslashes($_POST["show_all_yn"]);

  if ( isset($_POST['insert']) ) {
    # Pass empty recordset & array with data to insert to GetInsertSQL. Fully formatted insert sql will be returned.
    $insertSQL = $db->GetInsertSQL($rsx, $record);
    if ($db->Execute($insertSQL) === false) { # Insert the record into the database
      print "<BR>sql: " . $insertSQL . "<br><br>\n";
      print $ts.'<font class=errmsg>Error inserting record! ['.$db->ErrorMsg().'].</font><BR><BR>';
    } else {
      print $ts."<font class=msg>Record successfully inserted...</font><br>\n";
    }
  } elseif ( isset($_POST['update']) ) {
    # Pass recordset & array with data to update to GetUpdateSQL. Fully formatted update sql will be 
	# returned...with WHERE. If data not changed, no recordset returned
    $updateSQL = $db->GetUpdateSQL($rsx, $record);
	if ( $updateSQL == '') { print $ts.'<font class=errmsg>You did not change any data!</font>'; }
    if ($db->Execute($updateSQL) === false) {
      print "<BR>sql: " . $updateSQL . "<br><br>\n";
      print $ts.'<font class=errmsg>Error updating record! ['.$db->ErrorMsg().'].</font><BR><BR>';
    } else {
      print $ts."<font class=msg>Record successfully updated...</font><br>\n";
    }
  }
} elseif ( isset($_POST['clear'])) {       // ************************************************CLEAR
  $menu_id = '';
  $category_id = '';
} elseif ( isset($_POST['delete'])) {       // ************************************************DELETE
  $deleteSQL = "DELETE FROM CATEGORIES WHERE MENU_ID='" .  $_POST["menu_id"] . "' AND CATEGORY_ID = '" .$_POST["category_id"]. "';";
  if ($db->Execute($deleteSQL) === false) {
    print "<BR>sql: " . $deleteSQL . "<br><br>\n";
    print $ts.'<font class=errmsg>Error deleting record! ['.$db->ErrorMsg().'].</font><BR><BR>';
   } else {
    print $ts."<font class=msg>Record successfully deleted...</font><br>\n";
   }
   $menu_id = '';
   $category_id = '';
}

print "<form method=\"POST\" name=\"ACategories\" runat=\"vdaemon\" action=\"admin_categories.php\">";
print "<vlsummary class=\"defaultErr\" headertext=\"Error(s) found:\">";

print "<table WIDTH=\"95%\" align=\"center\" border=\"0\" cellpadding=\"5\">";

if ( isset($_POST['insert']) or isset($_POST['gotoinsert']) or ($menu_id != '' and $category_id != '' ) ) {
  print "<tr valign=top halign=left><td COLSPAN=2>";
  if ( isset($_POST['gotoinsert']) ) {
    print "<input type=\"submit\" name=\"insert\" value=\"Insert Record\" >&nbsp;";
  } else {
    print "<input type=\"submit\" name=\"update\" value=\"Save Changes\" >&nbsp;";
  }
  print "<input type=\"submit\" name=\"delete\" value=\"Delete Record\" >&nbsp;&nbsp;&nbsp;";
  print "<input type=\"submit\" name=\"clear\" value=\"Select Another Record\" onSubmit=\"return false;\" onClick=\"return no_validate();\">&nbsp;";
  print "</td></tr>";
}

if ( ( $menu_id == '' and $category_id == '' ) and !isset($_POST['insert']) and !isset($_POST['gotoinsert']) ) {
  $sql =  "SELECT MENUS.MENU_ID, MENU_TITLE, CATEGORY_ID, CATEGORY_NAME FROM MENUS, CATEGORIES WHERE MENUS.MENU_ID = CATEGORIES.MENU_ID ORDER BY MENUS.MENU_ID;";
  /************  Select list for categories ***********/
  $rs = $db->Execute($sql);
  if ($rs->EOF) {
    print "<tr valign=top halign=left><td>";
    print "<br><font class=errmsg>Error: Category not found.</font><br></td></tr>";
  } else {
    $select_list = "<select size=\"1\" onChange=\"populate(this.form.MENU_CATEGORY_ID, 'admin_categories.php?menu_id=', 'category_id=');\" name=\"MENU_CATEGORY_ID\"><option></option>";
    while (!$rs->EOF) {
      $select_list .= "<option value=\"" . $rs->fields["MENU_ID"] . "-----" . $rs->fields["CATEGORY_ID"] . "\">" .
	                  $rs->fields["MENU_ID"] . ", " . $rs->fields["MENU_TITLE"] . ", " . $rs->fields["CATEGORY_ID"] . 
					  ", " . $rs->fields["CATEGORY_NAME"] ."</option>";
      $rs->MoveNext();
    }
    $select_list .= "</select>";
    print "<tr valign=top halign=left>";
    print "<td valign=\"top\" align=\"center\">Select MENU CATEGORY to Update/Delete: " . $select_list . "</td>";
    print "</tr><tr valign=top halign=left><td align=\"center\">- OR -</td></tr><tr valign=top halign=left>";
    print "<td valign=\"top\" align=\"center\"><input type=\"submit\" name=\"gotoinsert\" value=\"Insert New Record\" ></td>";
	print "</tr>";
  }
} else {
  if ( isset($_POST['gotoinsert']) ) {
    print " ";
  } else {
    $sql =  "SELECT MENU_ID, CATEGORY_ID, CATEGORY_NAME, OPTION_LEVEL, CATEGORY_DESC, CATEGORY_IMAGE_LOC, SHOW_ALL_YN FROM CATEGORIES WHERE MENU_ID = '" .
           $menu_id . "' AND CATEGORY_ID = '" . $category_id . "';"; 
    $rs = $db->Execute($sql);
  }
  if ($rs->EOF) {

    print "<font class=errmsg>Error: Menu/Category [" . $menu_id . "]/[" . $category_id . "] not found.</font><br>";
  } else {
    /****************************************************/
    //  Determine if posting has already occurred.  Otherwise use data selected from record.
    if (isset($_POST["menu_id"])) { $x_menu_id = $_POST["menu_id"]; } else { $x_menu_id = rtrim($rs->fields["MENU_ID"]); }
    if (isset($_POST["category_id"])) { $x_category_id = $_POST["category_id"]; } else { $x_category_id = rtrim($rs->fields["CATEGORY_ID"]); }
    if (isset($_POST["category_name"])) { $x_category_name = $_POST["category_name"]; } else { $x_category_name = rtrim($rs->fields["CATEGORY_NAME"]); }
    if (isset($_POST["option_level"])) { $x_option_level = $_POST["option_level"]; } else { $x_option_level = rtrim($rs->fields["OPTION_LEVEL"]); }
    if (isset($_POST["category_desc"])) { $x_category_desc = $_POST["category_desc"]; } else { $x_category_desc = rtrim($rs->fields["CATEGORY_DESC"]); }
    if (isset($_POST["category_image_loc"])) { $x_category_image_loc = $_POST["category_image_loc"]; } else { $x_category_image_loc = rtrim($rs->fields["CATEGORY_IMAGE_LOC"]); }
    if (isset($_POST["show_all_yn"])) { $x_show_all_yn = $_POST["show_all_yn"]; } else { $x_show_all_yn = rtrim($rs->fields["SHOW_ALL_YN"]); }

    print $tr.$td1."<vllabel class=\"default\" errclass=\"defaultErr\" validators=\"req1\">Menu ID: [<font class=defaultErr>key</font>]: </vllabel></td>";
    print $td2;
    $select_list = "<select size=\"1\" name=\"menu_id\" ><option SELECTED value=\"" . $x_menu_id . "\">" . $x_menu_id . "</option>" .
    $sql =  "SELECT MENU_ID, MENU_TEXT FROM MENUS ORDER BY MENU_ID;";
    /************  Select list for menus ***********/
    $rsp = $db->Execute($sql);
    if ($rsp->EOF) {
      print "<font class=errmsg>Error: Menu ID not found.</font>";
    } else {
      while (!$rsp->EOF) {
        $select_list .= "<option value=\"" . $rsp->fields["MENU_ID"] . "\">" . $rsp->fields["MENU_ID"] . ", " . $rsp->fields["MENU_TEXT"] . "</option>";
        $rsp->MoveNext();
      }
      $select_list .= "</select><vlvalidator name=\"req1\" type=\"required\" control=\"menu_id\" errmsg=\"Menu ID required\"></td></tr>";
	  print $select_list;
    } 

    print $tr.$td1."<vllabel class=\"default\" errclass=\"defaultErr\" validators=\"req2\">Category ID [<font class=defaultErr>key</font>]: </vllabel></td>";
    print $td2."<input type=\"text\" name=\"category_id\" value=\"".fix($x_category_id)."\" size=100>";
    print "<vlvalidator name=\"req2\" type=\"required\" control=\"category_id\" errmsg=\"Category ID required\"></td></tr>";
		
    print $tr.$td1."Category Name: </td>";
    print $td2."<input type=\"text\" name=\"category_name\" value=\"".fix($x_category_name)."\" size=120></td></tr>";

    print $tr.$td1."Option Level: </td>";
    print $td2."<input type=\"text\" name=\"option_level\" value=\"".fix($x_option_level)."\" size=3></td></tr>";

    print $tr.$td1."Category Desc: </td>";
    print $td2."<input type=\"text\" name=\"category_desc\" value=\"".fix($x_category_desc)."\" size=120></td></tr>";

    print $tr.$td1."Category Image Loc: </td>";
    print $td2."<input type=\"text\" name=\"category_image_loc\" value=\"".fix($x_category_image_loc)."\" size=90></td></tr>";

    print $tr.$td1."<vllabel class=\"default\" errclass=\"defaultErr\" validators=\"YN\">Show All Y/N: </vllabel></td>";
    print $td2."<select size=\"1\" name=\"show_all_yn\" ><option SELECTED>" . $x_show_all_yn . "</option><option>Y</option><option>N</option></select>";
    print "<vlvalidator name=\"YN\" type=\"required\" control=\"show_all_yn\" errmsg=\"Show All Y/N is required and must be Y or N.\"></td></tr>";

    print $tr."<td COLSPAN=2><br>".
	      "[<font class=defaultErr>key</font>] - Primary key field(s) for this table.</td></tr>";
		
    ## save original key values in case it is updated.
    print "<input type=\"hidden\" name=\"hiddenkey\" value=\"". $x_menu_id . "\" size=50>";
    print "<input type=\"hidden\" name=\"hiddenkey2\" value=\"". $x_category_id . "\" size=100>";
  }
}

if ( isset($_POST['insert']) or isset($_POST['gotoinsert']) or ($menu_id != '' and $category_id != '' ) ) {
  print "<tr valign=top halign=left><td COLSPAN=2>";
  if ( isset($_POST['gotoinsert']) ) {
    print "<input type=\"submit\" name=\"insert\" value=\"Insert Record\" >&nbsp;";
  } else {
    print "<input type=\"submit\" name=\"update\" value=\"Save Changes\" >&nbsp;";
  }
  print "<input type=\"submit\" name=\"delete\" value=\"Delete Record\" >&nbsp;&nbsp;&nbsp;";
  print "<input type=\"submit\" name=\"clear\" value=\"Select Another Record\" onSubmit=\"return false;\" onClick=\"return no_validate();\">&nbsp;";
  print "</td></tr>";
}

print "</table></form>";

/****************************************************************************/
include ("./include/footer.php");
?>
</body>
</html>