<?php
/***********************************************************************************
*  admin_collections.php                        Wagner Database Solutions, Inc.
*    v1.02 - 28 Aug 2004  (c) 2004 Steve Wagner.  All rights reserved.
*            See the PaleoCollaborator License included as license_v1.x.txt
*
*  Description:  Screen to maintain the COLLECTIONS table.
* 
*  Notes: 
*    1. The PHP funtion fix()) is in include/header_admin.php.
*    2. The Javascript function populate())is in include/header_admin.php.
*
*  Change Log:
*    v1.0   Initial beta release
*    v1.01  Changed "key" note. (3/4/04)
*    v1.02  Added rtrim() around fields (8/28/04)
*
************************************************************************************/
include_once ("./vdaemon/vdaemon.php");
$header='ADMIN';
include_once ("./include/config.php");
include_once ("./include/header.php");
include_once ("./include/header_admin.php");

?>
<html><body><head>
</head>
<center><b><font class=pch>Collections Administration</font></b></center><br>

<!-- This form is a fake form to call if user wants to get out of insert/update and get new record. --> 
<form method="POST" name="NoVal" action="admin_collections.php"></form>

<?php

//print "collection_id: [" .$collection_id. "]  Action: " . $_POST["insert"] . $_POST["gotoinsert"] . $_POST["update"] . $_POST["clear"] . $_POST["delete"] . "---";

if ( isset($_POST['insert']) or isset($_POST['update']) ) {            // ******************INSERT/UPDATE

  if ( isset($_POST['insert']) ) {
    $nbr = -1;  
  } elseif ( isset($_POST['update']) ) {
    $nbr = $_POST["hiddenkey"]; # used saved key field in case user updated it.
  }
  $sql = "SELECT * FROM COLLECTIONS WHERE collection_id = '" .$nbr. "';";  // get record either null or with where clause.
  
  # Select record from database
  $rsx = $db->Execute($sql); # Execute the query for empty record (Insert) or with where (update).
  $record = array(); # Initialize an array

  # Set values for fields in record. Note: field names are case-insensitive.
  $record["Collection_Id"] = stripslashes($_POST["collection_id"]);
  $record["Contact_Name"] = stripslashes($_POST["contact_name"]);
  $record["Address1"] = stripslashes($_POST["address1"]);
  $record["Address2"] = stripslashes($_POST["address2"]);
  $record["City"] = stripslashes($_POST["city"]);
  $record["State"] = stripslashes($_POST["state"]);
  $record["Country"] = stripslashes($_POST["country"]);
  $record["Phone"] = stripslashes($_POST["phone"]);
  $record["Email"] = stripslashes($_POST["email"]);

  if ( isset($_POST['insert']) ) {
    # Pass empty recordset & array with data to insert to GetInsertSQL. Fully formatted insert sql will be returned.
    $insertSQL = $db->GetInsertSQL($rsx, $record);
    if ($db->Execute($insertSQL) === false) { # Insert the record into the database
      print "<BR>sql: " . $insertSQL . "<br><br>\n";
      print $ts.'<font class=errmsg>Error inserting record! ['.$db->ErrorMsg().'].</font><BR><BR>';
    } else {
      print $ts."<font class=msg>Record successfully inserted...</font><br>\n";
    }
  } elseif ( isset($_POST['update']) ) {
    # Pass recordset & array with data to update to GetUpdateSQL. Fully formatted update sql will be 
	# returned...with WHERE. If data not changed, no recordset returned
    $updateSQL = $db->GetUpdateSQL($rsx, $record);
	if ( $updateSQL == '') { print $ts.'<font class=errmsg>You did not change any data!</font>'; }
    if ($db->Execute($updateSQL) === false) {
      print "<BR>sql: " . $updateSQL . "<br><br>\n";
      print $ts.'<font class=errmsg>Error updating record! ['.$db->ErrorMsg().'].</font><BR><BR>';
    } else {
      print $ts."<font class=msg>Record successfully updated...</font><br>\n";
    }
  }
} elseif ( isset($_POST['clear'])) {       // ************************************************CLEAR
  $collection_id = '';
} elseif ( isset($_POST['delete'])) {       // ************************************************DELETE
  $deleteSQL = "DELETE FROM COLLECTIONS WHERE COLLECTION_ID ='" .  $_POST["collection_id"] . "';";
  if ($db->Execute($deleteSQL) === false) {
    print "<BR>sql: " . $deleteSQL . "<br><br>\n";
    print $ts.'<font class=errmsg>Error deleting record! ['.$db->ErrorMsg().'].</font><BR><BR>';
   } else {
    print $ts."<font class=msg>Record successfully deleted...</font><br>\n";
   }
   $collection_id = '';
}

print "<form method=\"POST\" name=\"ACollections\" runat=\"vdaemon\" action=\"admin_collections.php\">";
print "<vlsummary class=\"defaultErr\" headertext=\"Error(s) found:\">";

print "<table WIDTH=\"95%\" align=\"center\" border=\"0\" cellpadding=\"5\">";

if ( isset($_POST['insert']) or isset($_POST['gotoinsert']) or $collection_id != '' ) {
  print "<tr valign=top halign=left><td COLSPAN=2>";
  if ( isset($_POST['gotoinsert']) ) {
    print "<input type=\"submit\" name=\"insert\" value=\"Insert Record\" >&nbsp;";
  } else {
    print "<input type=\"submit\" name=\"update\" value=\"Save Changes\" >&nbsp;";
  }
  print "<input type=\"submit\" name=\"delete\" value=\"Delete Record\" >&nbsp;&nbsp;&nbsp;";
  print "<input type=\"submit\" name=\"clear\" value=\"Select Another Record\" onSubmit=\"return false;\" onClick=\"return no_validate();\">&nbsp;";
  print "</td></tr>";
}

if ($collection_id == '' and !isset($_POST['insert']) and !isset($_POST['gotoinsert']) ) {
  $sql =  "SELECT COLLECTION_ID, CONTACT_NAME, ADDRESS1, ADDRESS2, CITY, STATE, COUNTRY, PHONE, EMAIL FROM COLLECTIONS ORDER BY COLLECTION_ID;";
  /************  Select list for COLLECTIONS ***********/
  $rs = $db->Execute($sql);
  if ($rs->EOF) {
    print "<tr valign=top halign=left><td>";
    print "<br><font class=errmsg>Error: Collection ID not found.</font><br></td></tr>";
  } else {
    $select_list = "<select size=\"1\" onChange=\"populate(this.form.COLLECTION_ID, 'admin_collections.php?collection_id=');\" name=\"COLLECTION_ID\"><option></option>";
    while (!$rs->EOF) {
      $select_list .= "<option value=\"" . $rs->fields["COLLECTION_ID"] . "\">" . $rs->fields["COLLECTION_ID"] . "</option>";
      $rs->MoveNext();
    }
    $select_list .= "</select>";
    print "<tr valign=top halign=left>";
    print "<td valign=\"top\" align=\"center\">Select Collection ID to Update/Delete: " . $select_list . "</td>";
    print "</tr><tr valign=top halign=left><td align=\"center\">- OR -</td></tr><tr valign=top halign=left>";
    print "<td valign=\"top\" align=\"center\"><input type=\"submit\" name=\"gotoinsert\" value=\"Insert New Record\" ></td>";
	print "</tr>";
  }
} else {
  if ( isset($_POST['gotoinsert']) ) {
    print " ";
  } else {
  $sql =  "SELECT COLLECTION_ID, CONTACT_NAME, ADDRESS1, ADDRESS2, CITY, STATE, COUNTRY, PHONE, EMAIL ";
  $sql .= "FROM COLLECTIONS WHERE COLLECTION_ID = '" . $collection_id . "';"; 

  $rs = $db->Execute($sql);
  }
  if ($rs->EOF) {
    print "<font class=errmsg>Error: Collection ID  [" . $collection_id . "] not found.</font><br>";
  } else {
    /****************************************************/
    //  Determine if posting has already occurred.  Otherwise use data selected from record.
    if (isset($_POST["collection_id"])) { $x_collection_id = $_POST["collection_id"]; } else { $x_collection_id = rtrim($rs->fields["COLLECTION_ID"]); }
    if (isset($_POST["contact_name"])) { $x_contact_name = $_POST["contact_name"]; } else { $x_contact_name = rtrim($rs->fields["CONTACT_NAME"]); }
    if (isset($_POST["address1"])) { $x_address1 = $_POST["address1"]; } else { $x_address1 = rtrim($rs->fields["ADDRESS1"]); }
    if (isset($_POST["address2"])) { $x_address2 = $_POST["address2"]; } else { $x_address2 = rtrim($rs->fields["ADDRESS2"]); }
    if (isset($_POST["city"])) { $x_city = $_POST["city"]; } else { $x_city = rtrim($rs->fields["CITY"]); }
    if (isset($_POST["state"])) { $x_state = $_POST["state"]; } else { $x_state = rtrim($rs->fields["STATE"]); }
    if (isset($_POST["country"])) { $x_country = $_POST["country"]; } else { $x_country = rtrim($rs->fields["COUNTRY"]); }
    if (isset($_POST["phone"])) { $x_phone = $_POST["phone"]; } else { $x_phone = rtrim($rs->fields["PHONE"]); }
    if (isset($_POST["email"])) { $x_email = $_POST["email"]; } else { $x_email = rtrim($rs->fields["EMAIL"]); }

    print $tr.$td1."<vllabel class=\"default\" errclass=\"defaultErr\" validators=\"req1\">Collection ID: [<font class=defaultErr>key</font>]: </vllabel></td>";
    print $td2."<input type=\"text\" name=\"collection_id\" value=\"".fix($x_collection_id)."\" size=50>";
    print "<vlvalidator name=\"req1\" type=\"required\" control=\"collection_id\" errmsg=\"Collection ID required\"></td></tr>";
	
    print $tr.$td1."Contact Name: </td>";
    print $td2."<input type=\"text\" name=\"contact_name\" value=\"".fix($x_contact_name)."\" size=70></td></tr>";
	
    print $tr.$td1."Address 1: </td>";
    print $td2."<input type=\"text\" name=\"address1\" value=\"". fix($x_address1) . "\" size=70></td></tr>";

    print $tr.$td1."Address 2: </td>";
    print $td2."<input type=\"text\" name=\"address2\" value=\"". fix($x_address2) . "\" size=70></td></tr>";

    print $tr.$td1."City: </td>";
    print $td2."<input type=\"text\" name=\"city\" value=\"". fix($x_city) . "\" size=60></td></tr>";

    print $tr.$td1."State: </td>";
    print $td2."<input type=\"text\" name=\"state\" value=\"". fix($x_state)."\" size=2></td></tr>";

    print $tr.$td1."Country: </td>";
    print $td2."<input type=\"text\" name=\"country\" value=\"". fix($x_country)."\" size=60></td></tr>";
	
    print $tr.$td1."Phone: </td>";
    print $td2."<input type=\"text\" name=\"phone\" value=\"". fix($x_phone)."\" size=60></td></tr>";

    print $tr.$td1."<vllabel errclass=\"defaultErr\" validators=\"Emailchk\">Email: </vllabel></td>";
    print $td2."<input type=\"text\" name=\"email\" value=\"". fix($x_email) ."\" size=60>";
    print "<vlvalidator type=\"email\" name=\"Emailchk\" control=\"email\" errmsg=\"Invalid E-mail\"></td></tr>";

    print $tr."<td COLSPAN=2><br>".
	      "[<font class=defaultErr>key</font>] - Primary key field(s) for this table.</td></tr>";
	
    ## save original key value in case it is updated.
    print "<input type=\"hidden\" name=\"hiddenkey\" value=\"". $x_collection_id . "\" size=50>";
  }
}

if ( isset($_POST['insert']) or isset($_POST['gotoinsert']) or $collection_id != '' ) {
  print "<tr valign=top halign=left><td COLSPAN=2>";
  if ( isset($_POST['gotoinsert']) ) {
    print "<input type=\"submit\" name=\"insert\" value=\"Insert Record\" >&nbsp;";
  } else {
    print "<input type=\"submit\" name=\"update\" value=\"Save Changes\" >&nbsp;";
  }
  print "<input type=\"submit\" name=\"delete\" value=\"Delete Record\" >&nbsp;&nbsp;&nbsp;";
  print "<input type=\"submit\" name=\"clear\" value=\"Select Another Record\" onSubmit=\"return false;\" onClick=\"return no_validate();\">&nbsp;";
  print "</td></tr>";
}

print "</table></form>";

/****************************************************************************/
include ("./include/footer.php");
?>
</body>
</html>