<?php
/***********************************************************************************
*  admin_menus.php                        Wagner Database Solutions, Inc.
*    v1.02 - 28 Aug 2004  (c) 2004 Steve Wagner.  All rights reserved.
*            See the PaleoCollaborator License included as license_v1.x.txt
*
*  Description:  Screen to maintain the MENUS table.
* 
*  Notes: 
*    1. The PHP funtion fix()) is in include/header_admin.php.
*    2. The Javascript function populate())is in include/header_admin.php.
*
*  Change Log:
*    v1.0   Initial beta release
*    v1.01  Changed "key" note. (3/4/04)
*    v1.02  Added rtrim() around fields (8/28/04)
*
************************************************************************************/
include_once ("./vdaemon/vdaemon.php");
$header='ADMIN';
include_once ("./include/config.php");
include_once ("./include/header.php");
include_once ("./include/header_admin.php");

?>
<html><body><head></head>
<center><b><font class=pch>Menu Administration</font></b><br><br>
Note: This table contains only the menu header information.  The menu options are in the Categories table.</center><br>

<!-- This form is a fake form to call if user wants to get out of insert/update and get new record. --> 
<form method="POST" name="NoVal" action="admin_menus.php"></form>

<?php

//print "menu: [" .$menu_id. "]  Action: " . $_POST["insert"] . $_POST["gotoinsert"] . $_POST["update"] . $_POST["clear"] . $_POST["delete"] . "---";

if ( isset($_POST['insert']) or isset($_POST['update']) ) {            // ******************INSERT/UPDATE

  if ( isset($_POST['insert']) ) {
    $nbr = -1;  
  } elseif ( isset($_POST['update']) ) {
    $nbr = $_POST["hiddenkey"]; # used saved key field in case user updated it.
  }
  $sql = "SELECT * FROM MENUS WHERE MENU_ID = '" .$nbr. "';";  // get record either null or with where clause.
  
  # Select record from database
  $rsx = $db->Execute($sql); # Execute the query for empty record (Insert) or with where (update).
  $record = array(); # Initialize an array

  # Set values for fields in record. Note: field names are case-insensitive.
  $record["Menu_Id"] = stripslashes($_POST["menu_id"]);
  $record["Menu_Title"] = stripslashes($_POST["menu_title"]);
  $record["Menu_Text"] = stripslashes($_POST["menu_text"]);

  if ( isset($_POST['insert']) ) {
    # Pass empty recordset & array with data to insert to GetInsertSQL. Fully formatted insert sql will be returned.
    $insertSQL = $db->GetInsertSQL($rsx, $record);
    if ($db->Execute($insertSQL) === false) { # Insert the record into the database
      print "<BR>sql: " . $insertSQL . "<br><br>\n";
      print $ts.'<font class=errmsg>Error inserting record! ['.$db->ErrorMsg().'].</font><BR><BR>';
    } else {
      print $ts."<font class=msg>Record successfully inserted...</font><br>\n";
    }
  } elseif ( isset($_POST['update']) ) {
    # Pass recordset & array with data to update to GetUpdateSQL. Fully formatted update sql will be 
	# returned...with WHERE. If data not changed, no recordset returned
    $updateSQL = $db->GetUpdateSQL($rsx, $record);
	if ( $updateSQL == '') { print $ts.'<font class=errmsg>You did not change any data!</font>'; }
    if ($db->Execute($updateSQL) === false) {
      print "<BR>sql: " . $updateSQL . "<br><br>\n";
      print $ts.'<font class=errmsg>Error updating record! ['.$db->ErrorMsg().'].</font><BR><BR>';
    } else {
      print $ts."<font class=msg>Record successfully updated...</font><br>\n";
    }
  }
} elseif ( isset($_POST['clear'])) {       // ************************************************CLEAR
  $menu_id = '';
} elseif ( isset($_POST['delete'])) {       // ************************************************DELETE
  $deleteSQL = "DELETE FROM MENUS WHERE MENU_ID='" .  $_POST["menu_id"] . "';";
  if ($db->Execute($deleteSQL) === false) {
    print "<BR>sql: " . $deleteSQL . "<br><br>\n";
    print $ts.'<font class=errmsg>Error deleting record! ['.$db->ErrorMsg().'].</font><BR><BR>';
   } else {
    print $ts."<font class=msg>Record successfully deleted...</font><br>\n";
   }
   $menu_id = '';
}

print "<form method=\"POST\" name=\"AMenus\" runat=\"vdaemon\" action=\"admin_menus.php\">";
print "<vlsummary class=\"defaultErr\" headertext=\"Error(s) found:\">";

print "<table WIDTH=\"95%\" align=\"center\" border=\"0\" cellpadding=\"5\">";

if ( isset($_POST['insert']) or isset($_POST['gotoinsert']) or $menu_id != '' ) {
  print "<tr valign=top halign=left><td COLSPAN=2>";
  if ( isset($_POST['gotoinsert']) ) {
    print "<input type=\"submit\" name=\"insert\" value=\"Insert Record\" >&nbsp;";
  } else {
    print "<input type=\"submit\" name=\"update\" value=\"Save Changes\" >&nbsp;";
  }
  print "<input type=\"submit\" name=\"delete\" value=\"Delete Record\" >&nbsp;&nbsp;&nbsp;";
  print "<input type=\"submit\" name=\"clear\" value=\"Select Another Record\" onSubmit=\"return false;\" onClick=\"return no_validate();\">&nbsp;";
  print "</td></tr>";
}

if ( $menu_id == '' and !isset($_POST['insert']) and !isset($_POST['gotoinsert']) ) {
  $sql =  "SELECT MENU_ID, MENU_TITLE FROM MENUS ORDER BY MENU_ID;";
  /************  Select list for Menus ***********/
  $rs = $db->Execute($sql);
  if ($rs->EOF) {
    print "<tr valign=top halign=left><td>";
    print "<br><font class=errmsg>Error: Menu not found.</font><br></td></tr>";
  } else {
    $select_list = "<select size=\"1\" onChange=\"populate(this.form.MENU_ID, 'admin_menus.php?menu_id=');\" name=\"MENU_ID\"><option></option>";
    while (!$rs->EOF) {
      $select_list .= "<option value=\"" . $rs->fields["MENU_ID"] . "\">" . $rs->fields["MENU_ID"] . ", " . $rs->fields["MENU_TITLE"] . "</option>";
      $rs->MoveNext();
    }
    $select_list .= "</select>";
    print "<tr valign=top halign=left>";
    print "<td valign=\"top\" align=\"center\">Select MENU to Update/Delete: " . $select_list . "</td>";
    print "</tr><tr valign=top halign=left><td align=\"center\">- OR -</td></tr><tr valign=top halign=left>";
    print "<td valign=\"top\" align=\"center\"><input type=\"submit\" name=\"gotoinsert\" value=\"Insert New Record\" ></td>";
	print "</tr>";
  }
} else {
  if ( isset($_POST['gotoinsert']) ) {
    print " ";
  } else {
    $sql =  "SELECT MENU_ID, MENU_TITLE, MENU_TEXT FROM MENUS WHERE MENU_ID = '" . $menu_id . "';"; 
    $rs = $db->Execute($sql);
  }
  if ($rs->EOF) {
    print "<font class=errmsg>Error: Menu [" . $menu_id . "] not found.</font><br>";
  } else {
    /****************************************************/
    //  Determine if posting has already occurred.  Otherwise use data selected from record.
    if (isset($_POST["menu_id"])) { $x_menu_id = $_POST["menu_id"]; } else { $x_menu_id = rtrim($rs->fields["MENU_ID"]); }
    if (isset($_POST["menu_title"])) { $x_menu_title = $_POST["menu_title"]; } else { $x_menu_title = rtrim($rs->fields["MENU_TITLE"]); }
    if (isset($_POST["menu_text"])) { $x_menu_text = $_POST["menu_text"]; } else { $x_menu_text = rtrim($rs->fields["MENU_TEXT"]); }

    print $tr.$td1."<vllabel class=\"default\" errclass=\"defaultErr\" validators=\"req1\">Menu ID [<font class=defaultErr>key</font>]: </vllabel></td>";
    print $td2."<input type=\"text\" name=\"menu_id\" value=\"".fix($x_menu_id)."\" size=50>";
    print "<vlvalidator name=\"req1\" type=\"required\" control=\"menu_id\" errmsg=\"Menu ID required\"></td></tr>";
	
    print $tr.$td1."<vllabel class=\"default\" errclass=\"defaultErr\" validators=\"req2\">Menu Title: </vllabel></td>";
    print $td2."<input type=\"text\" name=\"menu_title\" value=\"".fix($x_menu_title)."\" size=120>";
    print "<vlvalidator name=\"req2\" type=\"required\" control=\"menu_title\" errmsg=\"Menu Title required\"></td></tr>";
	
    print $tr.$td1."Menu Text: </td>";
    print $td2."<TEXTAREA name=\"menu_text\" rows=\"12\" cols=\"50\" >" . fix($x_menu_text). "</TEXTAREA></td></tr>";

    print $tr."<td COLSPAN=2><br>".
	      "[<font class=defaultErr>key</font>] - Primary key field(s) for this table.</td></tr>";

    ## save original key value in case it is updated.
    print "<input type=\"hidden\" name=\"hiddenkey\" value=\"". $x_menu_id . "\" size=50>";
  }
}
if ( isset($_POST['insert']) or isset($_POST['gotoinsert']) or $menu_id != '' ) {
  print "<tr valign=top halign=left><td COLSPAN=2>";
  if ( isset($_POST['gotoinsert']) ) {
    print "<input type=\"submit\" name=\"insert\" value=\"Insert Record\" >&nbsp;";
  } else {
    print "<input type=\"submit\" name=\"update\" value=\"Save Changes\" >&nbsp;";
  }
  print "<input type=\"submit\" name=\"delete\" value=\"Delete Record\" >&nbsp;&nbsp;&nbsp;";
  print "<input type=\"submit\" name=\"clear\" value=\"Select Another Record\" onSubmit=\"return false;\" onClick=\"return no_validate();\">&nbsp;";
  print "</td></tr>";
}

print "</table></form>";

/****************************************************************************/
include ("./include/footer.php");
?>
</body>
</html>