<?php
/***********************************************************************************
*  admin_publications.php                        Wagner Database Solutions, Inc.
*    v1.03 - 28 Aug 2004  (c) 2004 Steve Wagner.  All rights reserved.
*            See the PaleoCollaborator License included as license_v1.x.txt
*
*  Description:  Screen to maintain the PUBLICATIONS table.
* 
*  Notes: 
*    1. The PHP funtion fix()) is in include/header_admin.php.
*    2. The Javascript function populate())is in include/header_admin.php.
*
*  Change Log:
*    v1.0   Initial beta release (2/22/2004)
*    v1.01  Changed "key" note & added bottom buttons. (3/4/04)
*    v1.02  Added urlencode() around publication_id for Netscape (3/7/04)
*    v1.03  Added rtrim() around fields (8/28/04)
*
************************************************************************************/
include_once ("./vdaemon/vdaemon.php");
$header='ADMIN';
include_once ("./include/config.php");
include_once ("./include/header.php");
include_once ("./include/header_admin.php");

?>
<html><body><head>
</head>
<center><b><font class=pch>Publication Administration</font></b></center><br>

<!-- This form is a fake form to call if user wants to get out of insert/update and get new record. --> 
<form method="POST" name="NoVal" action="admin_publications.php"></form>

<?php

//print "publication_id: [" .$publication_id. "]  Action: " . $_POST["insert"] . $_POST["gotoinsert"] . $_POST["update"] . $_POST["clear"] . $_POST["delete"] . "---";

if ( isset($_POST['insert']) or isset($_POST['update']) ) {            // ******************INSERT/UPDATE

  if ( isset($_POST['insert']) ) {
    $nbr = -1;  
  } elseif ( isset($_POST['update']) ) {
    //print "hiddenkey: [" . $_POST["hiddenkey"] . "]<br><Br>";
    $nbr = $_POST["hiddenkey"]; # used saved key field in case user updated it.
  }
  $sql = "SELECT * FROM PUBLICATIONS WHERE publication_id = '" .$nbr. "';";  // get record either null or with where clause.
  
  # Select record from database
  $rsx = $db->Execute($sql); # Execute the query for empty record (Insert) or with where (update).
  $record = array(); # Initialize an array

  # Set values for fields in record. Note: field names are case-insensitive.
  $record["Publication_Id"] = stripslashes($_POST["publication_id"]);
  $record["Authors"] = stripslashes($_POST["authors"]);
  $record["Publication_Type"] = stripslashes($_POST["publication_type"]);
  $record["Title"] = stripslashes($_POST["title"]);
  $record["Year"] = stripslashes($_POST["year"]);
  $record["Issue"] = stripslashes($_POST["issue"]);
  $record["Publication_Name"] = stripslashes($_POST["publication_name"]);
  $record["Publisher_Name"] = stripslashes($_POST["publisher_name"]);
  $record["Pages"] = stripslashes($_POST["pages"]);
  $record["Comments"] = stripslashes($_POST["comments"]);
  $record["Document_Location"] = stripslashes($_POST["document_location"]);

  if ( isset($_POST['insert']) ) {
    # Pass empty recordset & array with data to insert to GetInsertSQL. Fully formatted insert sql will be returned.
    $insertSQL = $db->GetInsertSQL($rsx, $record);
    if ($db->Execute($insertSQL) === false) { # Insert the record into the database
      print "<BR>sql: " . $insertSQL . "<br><br>\n";
      print $ts.'<font class=errmsg>Error inserting record! ['.$db->ErrorMsg().'].</font><BR><BR>';
    } else {
      print $ts."<font class=msg>Record successfully inserted...</font><br>\n";
    }
  } elseif ( isset($_POST['update']) ) {
    # Pass recordset & array with data to update to GetUpdateSQL. Fully formatted update sql will be 
	# returned...with WHERE. If data not changed, no recordset returned
    $updateSQL = $db->GetUpdateSQL($rsx, $record);
	if ( $updateSQL == '') { print $ts.'<font class=errmsg>You did not change any data!</font>'; }
    if ($db->Execute($updateSQL) === false) {
      print "<BR>sql: " . $updateSQL . "<br><br>\n";
      print $ts.'<font class=errmsg>Error updating record! ['.$db->ErrorMsg().'].</font><BR><BR>';
    } else {
      print $ts."<font class=msg>Record successfully updated...</font><br>\n";
    }
  }
} elseif ( isset($_POST['clear'])) {       // ************************************************CLEAR
  $publication_id = '';
} elseif ( isset($_POST['delete'])) {       // ************************************************DELETE
  $deleteSQL = "DELETE FROM PUBLICATIONS WHERE PUBLICATION_ID='" .  $_POST["publication_id"] . "';";
  if ($db->Execute($deleteSQL) === false) {
    print "<BR>sql: " . $deleteSQL . "<br><br>\n";
    print $ts.'<font class=errmsg>Error deleting record! ['.$db->ErrorMsg().'].</font><BR><BR>';
   } else {
    print $ts."<font class=msg>Record successfully deleted...</font><br>\n";
   }
   $publication_id = '';
}

print "<form method=\"POST\" name=\"APublications\" runat=\"vdaemon\" action=\"admin_publications.php\">";
print "<vlsummary class=\"defaultErr\" headertext=\"Error(s) found:\">";

print "<table WIDTH=\"95%\" align=\"center\" border=\"0\" cellpadding=\"5\">";

if ( isset($_POST['insert']) or isset($_POST['gotoinsert']) or $publication_id != '' ) {
  print "<tr valign=top halign=left><td COLSPAN=2>";
  if ( isset($_POST['gotoinsert']) ) {
    print "<input type=\"submit\" name=\"insert\" value=\"Insert Record\" >&nbsp;";
  } else {
    print "<input type=\"submit\" name=\"update\" value=\"Save Changes\" >&nbsp;";
  }
  print "<input type=\"submit\" name=\"delete\" value=\"Delete Record\" >&nbsp;&nbsp;&nbsp;";
  print "<input type=\"submit\" name=\"clear\" value=\"Select Another Record\" onSubmit=\"return false;\" onClick=\"return no_validate();\">&nbsp;";
  print "</td></tr>";
}

if ($publication_id == '' and !isset($_POST['insert']) and !isset($_POST['gotoinsert']) ) {
  $sql =  "SELECT PUBLICATION_ID FROM PUBLICATIONS ORDER BY PUBLICATION_ID;";
  /************  Select list for publications ***********/
  $rs = $db->Execute($sql);
  if ($rs->EOF) {
    print "<tr valign=top halign=left><td>";
    print "<br><font class=errmsg>Error: Publication Id not found.</font><br></td></tr>";
  } else {
    $select_list = "<select size=\"1\" onChange=\"populate(this.form.PUBLICATION_ID, 'admin_publications.php?publication_id=');\" name=\"PUBLICATION_ID\"><option></option>";
    while (!$rs->EOF) {
      $select_list .= "<option value=\"" . urlencode($rs->fields["PUBLICATION_ID"]) . "\">" . $rs->fields["PUBLICATION_ID"] . "</option>";
      $rs->MoveNext();
    }
    $select_list .= "</select>";
    print "<tr valign=top halign=left>";
    print "<td valign=\"top\" align=\"center\">Select Publication to Update/Delete: " . $select_list . "</td>";
    print "</tr><tr valign=top halign=left><td align=\"center\">- OR -</td></tr><tr valign=top halign=left>";
    print "<td valign=\"top\" align=\"center\"><input type=\"submit\" name=\"gotoinsert\" value=\"Insert New Record\" ></td>";
	print "</tr>";
  }
} else {
  if ( isset($_POST['gotoinsert']) ) {
    print " ";
  } else {
  $sql =  "SELECT PUBLICATION_ID, AUTHORS, PUBLICATION_TYPE, TITLE, YEAR, ISSUE, PUBLICATION_NAME, PUBLISHER_NAME, PAGES, COMMENTS, DOCUMENT_LOCATION ";
  $sql .= "FROM PUBLICATIONS WHERE PUBLICATION_ID = '" . $publication_id . "';"; 

  $rs = $db->Execute($sql);
  }
  if ($rs->EOF) {
    print "<font class=errmsg>Error: Publication [" . $publication_id . "] not found.</font><br>";
  } else {
    /****************************************************/
    //  Determine if posting has already occurred.  Otherwise use data selected from record.
    if (isset($_POST["publication_id"])) { $x_publication_id = $_POST["publication_id"]; } else { $x_publication_id = $rs->fields["PUBLICATION_ID"]; }
    if (isset($_POST["authors"])) { $x_authors = $_POST["authors"]; } else { $x_authors = rtrim($rs->fields["AUTHORS"]); }
    if (isset($_POST["publication_type"])) { $x_publication_type = $_POST["publication_type"]; } else { $x_publication_type = rtrim($rs->fields["PUBLICATION_TYPE"]); }
    if (isset($_POST["title"])) { $x_title = $_POST["title"]; } else { $x_title = rtrim($rs->fields["TITLE"]); }
    if (isset($_POST["year"])) { $x_year = $_POST["year"]; } else { $x_year = rtrim($rs->fields["YEAR"]); }
    if (isset($_POST["issue"])) { $x_issue = $_POST["issue"]; } else { $x_issue = rtrim($rs->fields["ISSUE"]); }
    if (isset($_POST["publication_name"])) { $x_publication_name = $_POST["publication_name"]; } else { $x_publication_name = rtrim($rs->fields["PUBLICATION_NAME"]); }
    if (isset($_POST["publisher_name"])) { $x_publisher_name = $_POST["publisher_name"]; } else { $x_publisher_name = rtrim($rs->fields["PUBLISHER_NAME"]); }
    if (isset($_POST["pages"])) { $x_pages = $_POST["pages"]; } else { $x_pages = rtrim($rs->fields["PAGES"]); }
    if (isset($_POST["comments"])) { $x_comments = $_POST["comments"]; } else { $x_comments = rtrim($rs->fields["COMMENTS"]); }
    if (isset($_POST["document_location"])) { $x_document_location = $_POST["document_location"]; } else { $x_document_location = rtrim($rs->fields["DOCUMENT_LOCATION"]); }

    print $tr.$td1."<vllabel class=\"default\" errclass=\"defaultErr\" validators=\"req1\">Publication ID: [<font class=defaultErr>key</font>]: </vllabel></td>";
    print $td2."<input type=\"text\" name=\"publication_id\" value=\"".fix($x_publication_id)."\" size=100>";
    print "<vlvalidator name=\"req1\" type=\"required\" control=\"publication_id\" errmsg=\"Publication ID required\"></td></tr>";

    print $tr.$td1."Author(s): </td>";
    print $td2."<input type=\"text\" name=\"authors\" value=\"". fix($x_authors) . "\" size=100></td></tr>";
		
    print $tr.$td1."Publication Type: </td>";
    print $td2."<input type=\"text\" name=\"publication_type\" value=\"".fix($x_publication_type)."\" size=20></td></tr>";

    print $tr.$td1."Title: </td>";
    print $td2."<TEXTAREA name=\"title\" rows=\"2\" cols=\"50\" >". fix($x_title). "</TEXTAREA></td></tr>";

    print $tr.$td1."Year: </td>";
    print $td2."<input type=\"text\" name=\"year\" value=\"".fix($x_year)."\" size=4></td></tr>";

    print $tr.$td1."Issue: </td>";
    print $td2."<input type=\"text\" name=\"issue\" value=\"".fix($x_issue)."\" size=30></td></tr>";

    print $tr.$td1."Publication Name: </td>";
    print $td2."<TEXTAREA name=\"publication_name\" rows=\"2\" cols=\"50\" >". fix($x_publication_name). "</TEXTAREA></td></tr>";

    print $tr.$td1."Publisher_Name: </td>";
    print $td2."<input type=\"text\" name=\"publisher_name\" value=\"".fix($x_publisher_name)."\" size=60></td></tr>";

    print $tr.$td1."Pages: </td>";
    print $td2."<input type=\"text\" name=\"pages\" value=\"".fix($x_pages)."\" size=15></td></tr>";

    print $tr.$td1."Comments: </td>";
    print $td2."<TEXTAREA name=\"comments\" rows=\"3\" cols=\"50\">".fix($x_comments)."</TEXTAREA></td></tr>";

    print $tr.$td1."Document_Location: </td>";
    print $td2."<input type=\"text\" name=\"document_location\" value=\"".fix($x_document_location)."\" size=50></td></tr>";

    print $tr."<td COLSPAN=2><br>".
	      "[<font class=defaultErr>key</font>] - Primary key field(s) for this table.</td></tr>";
	
    ## save original key value in case it is updated.
    print "<input type=\"hidden\" name=\"hiddenkey\" value=\"". $x_publication_id . "\" size=100>";
  }
}
if ( isset($_POST['insert']) or isset($_POST['gotoinsert']) or $publication_id != '' ) {
  print "<tr valign=top halign=left><td COLSPAN=2>";
  if ( isset($_POST['gotoinsert']) ) {
    print "<input type=\"submit\" name=\"insert\" value=\"Insert Record\" >&nbsp;";
  } else {
    print "<input type=\"submit\" name=\"update\" value=\"Save Changes\" >&nbsp;";
  }
  print "<input type=\"submit\" name=\"delete\" value=\"Delete Record\" >&nbsp;&nbsp;&nbsp;";
  print "<input type=\"submit\" name=\"clear\" value=\"Select Another Record\" onSubmit=\"return false;\" onClick=\"return no_validate();\">&nbsp;";
  print "</td></tr>";
}

print "</table></form>";

/****************************************************************************/
include ("./include/footer.php");
?>
</body>
</html>