<?php
// submit buttons
$submit_buttons_ar = array (
    "insert"    => "Insert a new record",
	"search/update/delete" => "Search/update/delete records",
	"insert_short"    => "Insert",
	"search_short" => "Search",
	"new_mailing" => "New mailing",
	"check_existing_mailing" => "Check existing mailing",
	"send_mailing" => "Send existing mailing",
	"insert_anyway"    => "Insert anyway",
    "search"    => "Search for record",
    "update"    => "Update this record",
	"ext_update"    => "Update your profile",
	"yes"    => "Yes",
	"no"    => "No",
	"go_back" => "Go back",
	"edit" => "Edit",
	"delete" => "Delete",
	"details" => "Details",
	"remove_from_mailing" => "Remove from mailing",
	"remove_all_from_mailing" => "Remove all from mailing",
	"send" => "Send",
	"add_to_mailing" => "Add to the mailing",
	"print_labels" => "Print labels",
	"create_this_mailing" => "                 Create this mailing                 ",
	"change_table" => "Change table"
);

// normal messages
$normal_messages_ar = array (
	"species_detail" => "Detail Morphotype Identification",   // ADDED **************************************
	"show_all_records" => "Show all records",
	"show_all" => "Show all",
	"select_operator" => "Select the operator:",
	"all_conditions_required" => "All the conditions required",
	"any_conditions_required" => "Any of the conditions required",
	"all_contacts" => "All contacts",
	"removed" => "removed",
	"please" => "Please",
	"and_check_form" => "and check the form.",
	"none" => "none",
	"are_you_sure" => "Are you sure?",
	"delete_are_you_sure" => "You are going to delete the record below, are you sure?",
	"required_fields_missed" => "You haven't filled out some required fields.<br>Please go back and fill all the required fields.",
	"alphabetic_not_valid" => "You have inserted a/some number/s into an alphabetic field.",
	"numeric_not_valid" => "You have inserted a/some non-numeric characters into a numeric field.",
	"email_not_valid" => "The e-mail address/es you have inserted is/are not valid.",
	"web_not_valid" => "The url/s you have inserted is/are not valid.",
	"phone_not_valid" => "The phone number/s you have inserted is/are not valid.<br>Please use the \"+(country code)(area code)(number)\" format e.g. +390523599318.",
	"similar_records" => "The records below seem similar to that one you want to insert.<br>What do you want to do?",
	"no_records_found" => "No records found.",
	"records_found" => "records found",
	"records_in_database" => "Number of records in the database: ",
	"details_of_record" => "Details of the record",
	"edit_record" => "Edit the record",
	"edit_profile" => "Update your profile information",
	"i_think_that" => "I think that ",
	"is_similar_to" => " is similar to ",
	"page" => "Page ",
	"of" => " of ",
	"day" => "Day",
	"month" => "Month",
	"year" => "Year",
	"administration" => "Administration",
	"create_update_internal_table" => "Create or update internal table",
	"other...." => "other....",
	"insert_record" => "Insert a new record",
	"search_records" => "Search for records",
	"exactly" => "exactly",
	"like" => "like",
	"required_fields_red" => "Required fields are in red.",
	"insert_result" => "Insert result:",
	"record_inserted" => "Record correctly inserted.",
	"update_result" => "Update result:",
	"record_updated" => "Record correctly updated.",
	"profile_updated" => "Your profile has been correctly updated.",
	"delete_result" => "Delete result:",
	"record_deleted" => "Record correctly deleted.",
	"duplication_possible" => "Duplication is possible",
	"mail_to_records" => "mail to all records found",
	"number_mails" => "Number of message you are going to send: ",
	"specify_subject_body" => "Please specify subject and body of the message",
	"create_new_mailing" => "Create a new mailing",
	"mailing_name" => "Mailing name: ",
	"mailing_type" => "Mailing type: ",
	"specify_mailing_name" => "(Specify a name to identify this mailing, e.g. workshop_2002, please don't use single/double quote!!!!!!)",
	"email_specific_fields" => "Blue fields are e-mail related, ignore them if you choose normal mail",
	"from" => "From: ",
	"subject" => "Subject: ",
	"body" => "Body: ",
    "dear" => "Dear",
    "john_smith" => "Mr. John B. Smith",
	"start_sending" => "Start sending......",
	"mailing_sent" => "......Mailing sent",
    "mail_to" => "Mail to",
    "sent" => "sent",
	"send" => "Send",
	"e-mail" => "e-mail",
	"normal_mail" => "normal mail",
	"attachment" => "Attachment: ",
	"additional_notes_mailing" => "Additional notes<br>(e.g. reason of the mailing)",
	"please_specify_mailing_name" => "Please specify a name for the mailing.",
	"please_specify_mailing_type" => "Please specify a type for the mailing.",
	"please_specify_mailing_subject" => "Please specify a subject for the mailing.",
	"please_specify_mailing_body" => "Please specify a body for the mailing.",
	"mailing_name_already_used" => "The name you have choosed has been already used, please change it.",
	"filename_already_used" => "Attachment filename already used, please change name.",
	"mailing" => "Mailing",
	"created" => "created",
	"all_records_found" => "all records found",
	"add_contacts_to" => "Add contacts to",
	"check_mailing" => "Check mailing",
	"the_mailing" => "The mailing",
	"mailing_already_sent" => "This mailing has been already sent!!",
	"was_composed_by" => "was composed by",
	"contacts" => "contacts",
	"you_have_added" => "You have added",
	"of_which_duplicated" => "of which is/are duplicated",
	"of_which_with_no_info" => "of which having not enough information",
	"is_composed_by" => "is now composed by",
	"go_back_to_home_send_or_add" => "You can now go back to the home page and send the mailing, or search and add other contacts to this mailing.",
	"fields_max_length" => "You have inserted too much text in one or more field.",
	"you_are_going_unsubscribe" => "you are going to be removed from our mailing list. Proceed?",
	"you_have_unsubscribed" => "you have been successfully removed from our mailing list.",
	"change_profile_url" => "To change your profile information please visit this page: ",
	"removed_mailing_list_url" => "To be removed from the mailing list please visit this page: ",
	"city" => "City",
	"province" => "Province",
	"zip_code" => "ZIP code",
	"prefix" => "Prefix",
	"no_city_found" => "No cities found",
	"print_warning" => "Please set the print margin to (0,0,0,0) (top, bottom, left, right) in your browser in order to print correctly the labels.",
	"current_upload" => "Current file"
	);

// error messages
$error_messages_ar = array (
	"int_db_empty" => "Error, the internal database is empty.",
	"get" => "Error in get variables.",
	"no_unique_update_id" => "Your update link has expired.<br>Please contact the webmaster at <a href=\"mailto:webm.mine@pc.unicatt.it\">webm.mine@pc.unicatt.it</a> to get a new link.<br>We apologies for the inconvenience caused.",
	"no_unique_unsubscribe_id" => "Your unsubscribe link is not correct.<br>Please contact the webmaster at <a href=\"mailto:webm.mine@pc.unicatt.it\">webm.mine@pc.unicatt.it</a> for any questions you may have.<br>We apologies for the inconvenience caused.",
	"no_functions" => "Error, no functions selected<br>Please go back to the homepage.",
	"no_unique_key" => "Error, you haven't any primary key in your table.",	
	"upload_error" => "An error occurred uploading a file."
	);
?>