<?php
/***********************************************************************************
*  login.php                        Wagner Database Solutions, Inc.
*    v1.04 - 6 Sep 2004  (c) 2004 Steve Wagner.  All rights reserved.
*            See the PaleoCollaborator License included as license_v1.x.txt
*
*  Description:  This script uses the USERS table to verify an administrator login. 
*                After an administrator is logged in, they have additional features in
*                the PaleoCollaborator screens - such as update capability, seeing
*                locality details, etc.  They also have the option of going to the
*                "Admin screens" to update tables.
*
*  Change Log:
*    v1.0   Initial beta release
*    v1.01  Removed message that page was still in work.
*    v1.02  Added Go to: "Admin Screens", "Public Screens" buttons.
*    v1.03  Added "Logout".
*    v1.04  Changed password entry field to hidden characters.
*
************************************************************************************/
include_once ("./include/config.php");
include_once ("./include/header.php");
session_register('aUser', 'aPassword', 'aLogin');
?>
<html>
<body>

<?php

$ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;

$db = ADONewConnection($driver);
/* $db->debug = true;  #true */
$db->Connect($server, $user, $password, $database);
//print "Refer: " . $HTTP_REFERER . "<BR><BR>";

if (isset($_POST['Logout'])) {
$aLogin = 0;
}
if($aLogin == 1) {
   print "<br><center><b>You are already logged in as user: \"".$aUser."\".<b><br><br>";
   print "Do you want to LOGOUT, go to PUBLIC or ADMIN screens?</b><br><br>";
   print "<form method=post action=\"login.php\">";
   print "<input type=\"submit\" value=\"Logout\" name=\"Logout\"></form>";
   print "<form method=post action=\"index.php\">";
   print "<input type=\"submit\" value=\"PUBLIC Screens\" name=\"PUBLIC Screens\"></form>";
   print "<form method=post action=\"index_admin.php\">";
   print "<input type=\"submit\" value=\"ADMIN Screens\" name=\"ADMIN Screens\"></form>";
   print "</b><br><br></center>";   

} else {

  if ( isset($_POST['submit']) ) { // if form has been submitted

    /* check they filled in what they were supposed to and authenticate */
    if (!$theUser | !$thePassword ) {  // haven't logged in yet.'
  	  die('You did not fill in a required field.');
    }
  
    /**  Validate Username/Password **/
    $query="SELECT 'VALID' FROM USERS WHERE USERNAME = '" . $theUser . "' AND PASSWORD = '" . $thePassword . "';";
    $rs = $db->Execute($query);
    if ($db->ErrorMsg()) {
      print "An internal error occurred: <b>" . $db->ErrorMsg() . "<br><BR>";
    } elseif ($rs->EOF) {
      print "<br><center><b>Invalid Username/Password.<br><BR>";
      // kill incorrect session variables.
  	  $aLogin = 0;
  	  unset($aUser);
  	  unset($aPassword);
  	  print "<form method=post action=\"login.php\">";
  	  print "<input type=\"submit\" value=\"Try Again\" name=\"Again\"></form></b><br></center>";
    } else {
      print "<br><center><b>Successful Login.<br><br>Go to...</b><br>";
      $aLogin = 1;
	  $aUser = $theUser;
	  $aPassword = $thePassword;
      print "<form method=post action=\"index.php\">";
      print "<input type=\"submit\" value=\"Public Screens\" name=\"public\"></form></b>";
      print "<form method=post action=\"index_admin.php\">";
      print "<input type=\"submit\" value=\"Admin Screens\" name=\"admin\"></form></b><br><br></center>";
    }
    
  } else {	// if form hasn't been submitted

    print "<form method=post action=\"login.php\" >";
    print "<center><b><font class=pch>Administrator Login</font></b><br><br>";
    print "<center><table BORDER=0 COLS=2 WIDTH=\"60%\" class=\"results\">";

    print "<tr>";
    print "<td ALIGN=RIGHT WIDTH=\"15%\"><b>Username:</b></td>";
    print "<td WIDTH=\"50%\"><input type=\"text\" name=\"theUser\"  size=\"50\" value=\"\"></td>";
    print "</tr>";

    print "<tr>";
    print "<td ALIGN=RIGHT WIDTH=\"15%\"><b>Password:</b></td>";
    print "<td WIDTH=\"50%\"><input type=\"password\" name=\"thePassword\"  size=\"50\" value=\"\"></td>";
    print "</tr>";

    print "</td></tr></table>";

    print "<p><input type=\"submit\" value=\"Login\" name=\"submit\">";
    print "<br></form></center>";

  }
  
}

/***********************************************/
?>

<?php

include ("./include/footer.php");

?>
</body>
</html>