<?php
/***********************************************************************************
*  upload_images.php                        Wagner Database Solutions, Inc.
*    v1.00 - 6 Sep 2004  (c) 2004 Steve Wagner.  All rights reserved.
*           See the PaleoCollaborator License included as license_v1.x.txt
*
*  Description:  Called from the admin_images.php screen to upload images to the
*                server.
* 
*  Change Log:
*    v1.00  Initial beta release. (9/6/2004)
*
************************************************************************************/
session_cache_limiter("public");  // needed so IE "Page Expired message doesn't occur.
$header='ADMIN';
include_once ("./include/config.php");
include_once ("./include/header.php");
include_once ("./include/header_admin.php");

?>
<html>
<body>

<?php
$move_error=0;

if ( isset($_POST['upload'] )) {
  $uploadfile1 = "./fossil_images/" . $_FILES['FOSSIL1']['name'];
  $moved1 = 0;
  $image1_type = preg_replace('/^.*\.(.*?)$/', '\1', $FOSSIL1_name); 

  if ($FOSSIL1_name != 'none' and $FOSSIL1_name != '' ) {
//    if ( $image1_type == "gif" or $image1_type == "jpg" ) {
    if ( $image1_type == "gif" or $image1_type == "GIF" or $image1_type == "jpg" or $image1_type == "JPG" ) {
      if ( move_uploaded_file($_FILES['FOSSIL1']['tmp_name'], $uploadfile1 ) ) {
        $moved1 = 1;
		chmod($uploadfile1, 0755);
        print "<center><br><b><font color=blue>Image: " .$uploadfile1. 
		  " successfully uploaded.</font></b><br>Select another image to upload or <b><font color=blue>\"Close Window\"</font></b></font></b><br></center>";
      } else {
        $move_error = 1;
		print "tmp_name: ".$_FILES['FOSSIL1']['tmp_name']."<BR>";
        print "Error uploading file: File1 Error: " . $_FILES['FOSSIL1']['error']. "<br>";
      }
    } else {
	    print "<b>ERROR:</b>  JPGs or GIFs only please.<br>File 1: <b>" . $FOSSIL1_name .
		      "</b> is a <b>" . $image1_type . "</b> file type.<br>";
		$image_error = 1;
    }
  }

  if ($move_error) {
    print "<br>Error Codes:<br>";
    print " 1; The uploaded file exceeds the upload_max_filesize directive in php.ini.<br>";
    print " 2; The uploaded file exceeds the MAX_FILE_SIZE directive that was specified in the html form.<br>";
    print " 3; The uploaded file was only partially uploaded.<br>";
    print " 4; No file was uploaded.<br><br>";
  } elseif ( $image_error ) {
    print "Cannot upload non-image files.<br>Press \"BACK\" button and re-enter image file(s).";
  }
}

print "<form method=\"post\" action=\"upload_images.php\" enctype=\"multipart/form-data\">";
print "<input type=\"hidden\" name=\"MAX_FILE_SIZE\" value=" . $largest_image_size . " >";

print "<center><b><font class=pch>Image Upload Form</font></b><br><br>";
print "<table BORDER=0 WIDTH=\"100%\" >";
print "<tr>";
print "  <td ALIGN=RIGHT VALIGN=CENTER WIDTH=\"15%\">Fossil Image to Upload:</td>";
print "  <td WIDTH=\"50%\"><INPUT TYPE=\"file\" NAME=\"FOSSIL1\" SIZE=70 value=" .
      $HTTP_POST_FILES ['FOSSIL1']['name'] . "></td>";
print "</tr>";
print "</table>";
print "<p><input type=\"submit\" name=\"upload\" value=\"Upload Fossil Image\">&nbsp;&nbsp;&nbsp;<input type=\"button\" value=\"Close window\" onClick=\"window.close()\"><br>";;
print "<br></form><br>";
print "Image upload filesize limited to " . $largest_image_size . " bytes.<br><b?PLEASE WAIT.</b>  Upload may take a while.  Be patient.";

?>
<?php

include ("./include/footer.php");

?>
</body>
</html>