<?php
/***********************************************************************************
*  admin_users.php                        Wagner Database Solutions, Inc.
*    v1.02 - 28 Aug 2004  (c) 2004 Steve Wagner.  All rights reserved.
*            See the PaleoCollaborator License included as license_v1.x.txt
*
*  Description:  Screen to maintain the USERS table.
* 
*  Notes: 
*    1. The PHP funtion fix()) is in include/header_admin.php.
*    2. The Javascript function populate())is in include/header_admin.php.
*
*  Change Log:
*    v1.0   Initial beta release
*    v1.01  Changed "key" note. (3/4/04)
*    v1.02  Added rtrim() around fields (8/28/04)
*
************************************************************************************/
include_once ("./vdaemon/vdaemon.php");
$header='ADMIN';
include_once ("./include/config.php");
include_once ("./include/header.php");
include_once ("./include/header_admin.php");

?>
<html><body><head>
</head>
<center><b><font class=pch>User Administration</font></b></center><br>

<!-- This form is a fake form to call if user wants to get out of insert/update and get new record. --> 
<form method="POST" name="NoVal" action="admin_users.php"></form>

<?php

//print "user: [" .$username. "]  Action: " . $_POST["insert"] . $_POST["gotoinsert"] . $_POST["update"] . $_POST["clear"] . $_POST["delete"] . "---";

if ( isset($_POST['insert']) or isset($_POST['update']) ) {            // ******************INSERT/UPDATE

  if ( isset($_POST['insert']) ) {
    $nbr = -1;  
  } elseif ( isset($_POST['update']) ) {
    $nbr = $_POST["hiddenkey"]; # used saved key field in case user updated it.
  }
  $sql = "SELECT * FROM USERS WHERE USERNAME = '" .$nbr. "';";  // get record either null or with where clause.
  
  # Select record from database
  $rsx = $db->Execute($sql); # Execute the query for empty record (Insert) or with where (update).
  $record = array(); # Initialize an array

  # Set values for fields in record. Note: field names are case-insensitive.
  $record["UserName"] = stripslashes($_POST["username"]);
  $record["Password"] = stripslashes($_POST["password"]);
  $record["Authorization_Level"] = stripslashes($_POST["authorization_level"]);
  $record["Description"] = stripslashes($_POST["description"]);
  $record["Name"] = stripslashes($_POST["name"]);
  $record["Phone"] = stripslashes($_POST["phone"]);
  $record["Email"] = stripslashes($_POST["email"]);

  if ( isset($_POST['insert']) ) {
    # Pass empty recordset & array with data to insert to GetInsertSQL. Fully formatted insert sql will be returned.
    $insertSQL = $db->GetInsertSQL($rsx, $record);
    if ($db->Execute($insertSQL) === false) { # Insert the record into the database
      print "<BR>sql: " . $insertSQL . "<br><br>\n";
      print $ts.'<font class=errmsg>Error inserting record! ['.$db->ErrorMsg().'].</font><BR><BR>';
    } else {
      print $ts."<font class=msg>Record successfully inserted...</font><br>\n";
    }
  } elseif ( isset($_POST['update']) ) {
    # Pass recordset & array with data to update to GetUpdateSQL. Fully formatted update sql will be 
	# returned...with WHERE. If data not changed, no recordset returned
    $updateSQL = $db->GetUpdateSQL($rsx, $record);
	if ( $updateSQL == '') { print $ts.'<font class=errmsg>You did not change any data!</font>'; }
    if ($db->Execute($updateSQL) === false) {
      print "<BR>sql: " . $updateSQL . "<br><br>\n";
      print $ts.'<font class=errmsg>Error updating record! ['.$db->ErrorMsg().'].</font><BR><BR>';
    } else {
      print $ts."<font class=msg>Record successfully updated...</font><br>\n";
    }
  }
} elseif ( isset($_POST['clear'])) {       // ************************************************CLEAR
  $username = '';
} elseif ( isset($_POST['delete'])) {       // ************************************************DELETE
  $deleteSQL = "DELETE FROM USERS WHERE USERNAME='" .  $_POST["username"] . "';";
  if ($db->Execute($deleteSQL) === false) {
    print "<BR>sql: " . $deleteSQL . "<br><br>\n";
    print $ts.'<font class=errmsg>Error deleting record! ['.$db->ErrorMsg().'].</font><BR><BR>';
   } else {
    print $ts."<font class=msg>Record successfully deleted...</font><br>\n";
   }
   $username = '';
}

print "<form method=\"POST\" name=\"AUsers\" runat=\"vdaemon\" action=\"admin_users.php\">";
print "<vlsummary class=\"defaultErr\" headertext=\"Error(s) found:\">";

print "<table WIDTH=\"95%\" align=\"center\" border=\"0\" cellpadding=\"5\">";

if ( isset($_POST['insert']) or isset($_POST['gotoinsert']) or $username != '' ) {
  print "<tr valign=top halign=left><td COLSPAN=2>";
  if ( isset($_POST['gotoinsert']) ) {
    print "<input type=\"submit\" name=\"insert\" value=\"Insert Record\" >&nbsp;";
  } else {
    print "<input type=\"submit\" name=\"update\" value=\"Save Changes\" >&nbsp;";
  }
  print "<input type=\"submit\" name=\"delete\" value=\"Delete Record\" >&nbsp;&nbsp;&nbsp;";
  print "<input type=\"submit\" name=\"clear\" value=\"Select Another Record\" onSubmit=\"return false;\" onClick=\"return no_validate();\">&nbsp;";
  print "</td></tr>";
}

if ($username == '' and !isset($_POST['insert']) and !isset($_POST['gotoinsert']) ) {
  $sql =  "SELECT USERNAME, NAME FROM USERS ORDER BY USERNAME;";
  /************  Select list for Users ***********/
  $rs = $db->Execute($sql);
  if ($rs->EOF) {
    print "<tr valign=top halign=left><td>";
    print "<br><font class=errmsg>Error: User not found.</font><br></td></tr>";
  } else {
    $select_list = "<select size=\"1\" onChange=\"populate(this.form.USERNAME, 'admin_users.php?username=');\" name=\"USERNAME\"><option></option>";
    while (!$rs->EOF) {
      $select_list .= "<option value=\"" . $rs->fields["USERNAME"] . "\">" . $rs->fields["NAME"] . ", " . $rs->fields["USERNAME"] . "</option>";
      $rs->MoveNext();
    }
    $select_list .= "</select>";
    print "<tr valign=top halign=left>";
    print "<td valign=\"top\" align=\"center\">Select USER to Update/Delete: " . $select_list . "</td>";
    print "</tr><tr valign=top halign=left><td align=\"center\">- OR -</td></tr><tr valign=top halign=left>";
    print "<td valign=\"top\" align=\"center\"><input type=\"submit\" name=\"gotoinsert\" value=\"Insert New Record\" ></td>";
	print "</tr>";
  }
} else {
  if ( isset($_POST['gotoinsert']) ) {
    print " ";
  } else {
  $sql =  "SELECT USERNAME, PASSWORD, AUTHORIZATION_LEVEL, DESCRIPTION, NAME, PHONE, EMAIL FROM USERS WHERE USERNAME = '" . $username . "';"; 

  $rs = $db->Execute($sql);
  }
  if ($rs->EOF) {
    print "<font class=errmsg>Error: User [" . $username . "] not found.</font><br>";
  } else {
    /****************************************************/
    //  Determine if posting has already occurred.  Otherwise use data selected from record.
    if (isset($_POST["username"])) { $x_username = $_POST["username"]; } else { $x_username = rtrim($rs->fields["USERNAME"]); }
    if (isset($_POST["password"])) { $x_password = $_POST["password"]; } else { $x_password = rtrim($rs->fields["PASSWORD"]); }
    if (isset($_POST["authorization_level"])) { $x_authorization_level = $_POST["authorization_level"]; } else { $x_authorization_level = rtrim($rs->fields["AUTHORIZATION_LEVEL"]); }
    if (isset($_POST["description"])) { $x_description = $_POST["description"]; } else { $x_description = rtrim($rs->fields["DESCRIPTION"]); }
    if (isset($_POST["name"])) { $x_name = $_POST["name"]; } else { $x_name = rtrim($rs->fields["NAME"]); }
    if (isset($_POST["phone"])) { $x_phone = $_POST["phone"]; } else { $x_phone = rtrim($rs->fields["PHONE"]); }
    if (isset($_POST["email"])) { $x_email = $_POST["email"]; } else { $x_email = rtrim($rs->fields["EMAIL"]); }

    print $tr.$td1."<vllabel class=\"default\" errclass=\"defaultErr\" validators=\"req1\">Username [<font class=defaultErr>key</font>]: </vllabel></td>";
    print $td2."<input type=\"text\" name=\"username\" value=\"".fix($x_username)."\" size=30>";
    print "<vlvalidator name=\"req1\" type=\"required\" control=\"username\" errmsg=\"Username required\"></td></tr>";
	
    print $tr.$td1."<vllabel class=\"default\" errclass=\"defaultErr\" validators=\"req2\">Password: </vllabel></td>";
    print $td2."<input type=\"text\" name=\"password\" value=\"".fix($x_password)."\" size=30>";
    print "<vlvalidator name=\"req2\" type=\"required\" control=\"password\" errmsg=\"Password required\"></td></tr>";
	
    print $tr.$td1."Auth Lvl: </td>";
    print $td2."<input type=\"text\" name=\"authorization_level\" value=\"". fix($x_authorization_level). "\" size=1></td></tr>";

    print $tr.$td1."Description: </td>";
    print $td2."<input type=\"text\" name=\"description\" value=\"". fix($x_description) . "\" size=50></td></tr>";

    print $tr.$td1."Name: </td>";
    print $td2."<input type=\"text\" name=\"name\" value=\"".fix($x_name)."\" size=80></td></tr>";

    print $tr.$td1."Phone: </td>";
    print $td2."<input type=\"text\" name=\"phone\" value=\"". fix($x_phone)."\" size=20></td></tr>";

    print $tr.$td1."<vllabel errclass=\"defaultErr\" validators=\"Emailchk\">Email: </vllabel></td>";
    print $td2."<input type=\"text\" name=\"email\" value=\"". fix($x_email)."\" size=40>";
    print "<vlvalidator type=\"email\" name=\"Emailchk\" control=\"email\" errmsg=\"Invalid E-mail\"></td></tr>";

    print $tr."<td COLSPAN=2><br>".
	      "[<font class=defaultErr>key</font>] - Primary key field(s) for this table.</td></tr>";

    ## save original key value in case it is updated.
    print "<input type=\"hidden\" name=\"hiddenkey\" value=\"". $x_username . "\" size=30>";
  }
}

if ( isset($_POST['insert']) or isset($_POST['gotoinsert']) or $username != '' ) {
  print "<tr valign=top halign=left><td COLSPAN=2>";
  if ( isset($_POST['gotoinsert']) ) {
    print "<input type=\"submit\" name=\"insert\" value=\"Insert Record\" >&nbsp;";
  } else {
    print "<input type=\"submit\" name=\"update\" value=\"Save Changes\" >&nbsp;";
  }
  print "<input type=\"submit\" name=\"delete\" value=\"Delete Record\" >&nbsp;&nbsp;&nbsp;";
  print "<input type=\"submit\" name=\"clear\" value=\"Select Another Record\" onSubmit=\"return false;\" onClick=\"return no_validate();\">&nbsp;";
  print "</td></tr>";
}

print "</table></form>";

/****************************************************************************/
include ("./include/footer.php");
?>
</body>
</html>