<?php
/***********************************************************************************
*  contact_mail.php                        Wagner Database Solutions, Inc.
*    v1.03 - 9 Feb 2004  (c) 2004 Steve Wagner.  All rights reserved.
*
*  Description:  Called from contact.php to send email(s) to the addresses in the 
*                include/config.php file to project personnel.
*
*  Change Log:
*    v1.0   Initial beta release
*    v1.01  Variations on libmail.php class.
*    v1.02  Switch to phpmailer.php class, 2/9/04
*    v1.03  Added print of mailer error ($mail->ErrorInfo), 2/9/04
*
************************************************************************************/
include_once ("./include/config.php");
include_once ("./include/header.php");
?>

<html>
<body>

<?php
include_once ("phpmailer/class.phpmailer.php");

// check for all required fields
if (($MYNAME == "") || ($EMAIL1 == "") || ($EMAIL2 == "") || ($EMAIL1 != $EMAIL2) || ($theCOMMENTS == '')) {
  print "<form name=form method=post action=contact.php enctype=\"multipart/form-data\">";
  print "<p>Please correct the following errors...</p>";
  if ($MYNAME == "") {print ("<b>&nbsp;* Name is blank.</b><br>");}
  if ($EMAIL1 == "") {print ("<b>&nbsp;* Email1 is blank.</b><br>");}
  if ($EMAIL2 == "") {print ("<b>&nbsp;* Email2 is blank.</b><br>");}
  if ($EMAIL1 != $EMAIL2) {print ("<b>&nbsp;* Email1 ($EMAIL1) and Email2 ($EMAIL2) do not match.</b><br>");}
  if ($theCOMMENTS == "") {print ("<b>&nbsp;* You did not provide any comments.</b><br>");}
  print "<p>Press the \"BACK\" button to return...</p>";
  print "</form>";
} else {
  $theCOMMENTS = stripslashes($theCOMMENTS);
  print "<b>Your message has been sent:</b><br><br><b>From:</b> $EMAIL1<br><b>To:</b> $submittal_email_addresses.<br>";
  print "<b>Name:</b> $MYNAME<br><b>Phone:</b> $CONTACT_PHONE.<br>";
  print "<b>Message:</b><br>" . nl2br($theCOMMENTS) . "<br><br>";
// ******************************  
  global $global_vars;
  global $INCLUDE_DIR;

  $mail = new PHPMailer();
  $mail->Encoding = "8bit";
  $mail->CharSet = "iso-8859-1";
  $mail->From = "$EMAIL1";
  $mail->FromName = "$MYNAME";
  $mail->AddAddress("$submittal_email_addresses", "PaleoCollaborator");   // Use:  $submittal_email_addresses
  $mail->Subject = "PaleoCollaborator Contact Message";
  $mail->Body = "Name: $MYNAME\nPhone: $CONTACT_PHONE\nEmail: $EMAIL1\nComments:\n$theCOMMENTS\n\n";
//  $mail->SMTPAuth = false;

if(!$mail->Send())
{
   echo "There was an error sending the message";
   echo "Mailer Error: " . $mail->ErrorInfo;
   exit;
}

echo "Message was sent successfully";

}
?>

</body>
</html>