<?php
/***********************************************************************************
*  search.php                        Wagner Database Solutions, Inc.
*    v1.0 - 4 Mar 2004  (c) 2004 Steve Wagner.  All rights reserved.
*           See the PaleoCollaborator License included as license_v1.x.txt
*
*  Description:  Displays a form allowing the user to enter search criteria.  Then,
*                it calls search_results.php to validate the search criteria and 
*                display the search results.  Called from the navigation tabs.
* 
*  Change Log:
*    v1.0   Initial beta release. (3/4/2004)
*
************************************************************************************/
include_once ("./include/config.php");
include_once ("./include/header.php");
?>
<html>

<script language="JavaScript" type="text/JavaScript">
<!--
function help_window () {
  var theURL = 'search_hints.php';
  var winName = 'Search_Hints';
  var features = 'scrollbars=yes,resizable=yes,width=650,height=350';
  newwindow = window.open (theURL, winName, features);
  if (window.focus) {newwindow.focus()}
  return false;
}
//-->
</script>
<body>

<?php

$ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;

$db = ADONewConnection($driver);
/* $db->debug = true;  #true */
$db->Connect($server, $user, $password, $database);

print "<form method=post action=\"search_results.php\" >";
print "<center><b><font class=pch>Quick Search Form</font></b><br>";
print "<p><a href=\"javascript: ; \" onClick=\"javascript: help_window();\">Search Hints</a></center>";

print "<center><table BORDER=0 COLS=2 WIDTH=\"60%\" class=\"results\">";

print "<tr>";
print "<td ALIGN=RIGHT WIDTH=\"15%\">Family:</td>";
print "<td WIDTH=\"50%\"><input type=\"text\" name=\"FAMILY\"  size=\"50\" value=\"\"></td>";
print "</tr>";

print "<tr>";
print "<td ALIGN=RIGHT WIDTH=\"15%\">Genus:</td>";
print "<td WIDTH=\"50%\"><input type=\"text\" name=\"GENUS\"  size=\"50\" value=\"\"></td>";
print "</tr>";

print "<tr>";
print "<td ALIGN=RIGHT WIDTH=\"15%\">Species:</td>";
print "<td WIDTH=\"50%\"><input type=\"text\" name=\"SPECIES\"  size=\"50\" value=\"\"></td>";
print "</tr>";

/************  Select list for Organs ***********/
$query1="SELECT DISTINCT (ORGAN) FROM SPECIMENS ORDER BY ORGAN";
print "<tr><td ALIGN=RIGHT WIDTH=\"15%\">Organ:</td><td WIDTH=\"50%\">";
$rs1 = $db->Execute($query1);
if ($rs1->EOF) {
  print "<br><b>Error: Organs not found.  Cannot search on Organ.</b><br>";
} else {
  $organ_select_list = "<select size=\"1\" name=\"ORGAN\"><option></option>";
  while (!$rs1->EOF) {
    $organ_select_list .= "<option>" . $rs1->fields["ORGAN"] . "</option>";
    $rs1->MoveNext();
  }
  $organ_select_list .= "</select>";
  print $organ_select_list;
}
print "</td></tr>";

/************  Select list for Higher_Taxon ***********/
$query2="SELECT DISTINCT (HIGHER_TAXON) FROM MORPHOTYPES ORDER BY HIGHER_TAXON";
print "<tr><td ALIGN=RIGHT>Higher Taxon:</td><td WIDTH=\"50%\">";
$rs2 = $db->Execute($query2);

if ($rs2->EOF) {
  print "<br><b>Error: Higher Taxon not found.  Cannot search on Higher Taxon.</b><br>";
} else {
  $higher_taxon_select_list = "<select size=\"1\" name=\"HIGHER_TAXON\"><option></option>";
  while (!$rs2->EOF) {
    $higher_taxon_select_list .= "<option>" . $rs2->fields["HIGHER_TAXON"] . "</option>";
    $rs2->MoveNext();
  }
  $higher_taxon_select_list .= "</select>";
  print $higher_taxon_select_list;
}
print "</td></tr>";

/************************************************/

print "<tr>";
print "<td ALIGN=RIGHT WIDTH=\"15%\">Author:</td>";
print "<td WIDTH=\"50%\"><input type=\"text\" name=\"AUTHOR\"  size=\"50\" value=\"\"></td>";
print "</tr>";

print "<tr>";
print "<td ALIGN=RIGHT WIDTH=\"15%\">Morphotype Nbr:</td>";
print "<td WIDTH=\"50%\"><input type=\"text\" name=\"MORPHOTYPE_NBR\"  size=\"50\" value=\"\"></td>";
print "</tr>";

print "<tr>";
print "<td><div align=right>Specimen Nbr:</div></td>";
print "<td><input type=\"text\" name=\"SPECIMEN_NBR\"  size=\"50\" value=\"\"></td>";
print "</tr>";

/************  Select list for Collection_ID ***********/
$query3="SELECT DISTINCT (COLLECTION_ID) COLLECTION_ID FROM SPECIMENS";
print "<tr><td ALIGN=RIGHT>Collection ID:</td><td WIDTH=\"50%\">";
$rs3 = $db->Execute($query3);
if ($rs3->EOF) {
  print "<br><b>Error: Collection IDs not found.  Cannot search on Collection IDs.</b><br>";
} else {
  $collection_id_select_list = "<select size=\"1\" name=\"COLLECTION_ID\"><option></option>";
  while (!$rs3->EOF) {
    $collection_id_select_list .= "<option>" . $rs3->fields["COLLECTION_ID"] . "</option>";
    $rs3->MoveNext();
  }
  $collection_id_select_list .= "</select>";
  print $collection_id_select_list;
}
print "</td></tr>";

/***********************************************/

print "</table>";

print "<p><input type=\"submit\" value=\"Search\" name=\"Button1\">";
print "<br></form></center>";

/***********************************************/
?>

<?php

include ("./include/footer.php");

?>
</body>
</html>